## go-line

go-line

## Synopsis

    enum                GOLineDashType;
    enum                GOLineInterpolation;
    GOLineDashType      go_line_dash_from_str               (char const *name);
    charconst 	*        go_line_dash_as_str                 (GOLineDashType type);
    charconst 	*        go_line_dash_as_label               (GOLineDashType type);
    GOLineInterpolation go_line_interpolation_from_str      (char const *name);
    charconst 		*       go_line_interpolation_as_str        (GOLineInterpolation type);
    void                go_line_vpath_dash_free             (ArtVpathDash *dash);
    ArtVpathDash*       go_line_get_vpath_dash              (GOLineDashType type,
                                                             double scale);
    ArtVpath*           go_line_clip_vpath                  (ArtVpath const *path,
                                                             GogViewAllocation const *bbox);
    ArtVpath*           go_line_dash_vpath                  (ArtVpath const *path,
                                                             ArtVpathDash const *dash,
                                                             GogViewAllocation const *bbox);
    ArtBpath*           go_line_build_bpath                 (double const *x,
                                                             double const *y,
                                                             int n);
    ArtVpath*           go_line_build_vpath                 (double const *x,
                                                             double const *y,
                                                             int n);

## Description

## Details

### enum GOLineDashType

    typedef enum {
    	GO_LINE_NONE,
    	GO_LINE_SOLID,
    	GO_LINE_S_DOT,
    	GO_LINE_S_DASH_DOT,
    	GO_LINE_S_DASH_DOT_DOT,
    	GO_LINE_DASH_DOT_DOT_DOT,
    	GO_LINE_DOT,
    	GO_LINE_S_DASH,
    	GO_LINE_DASH,
    	GO_LINE_LONG_DASH,
    	GO_LINE_DASH_DOT,
    	GO_LINE_DASH_DOT_DOT,
    	GO_LINE_MAX
    } GOLineDashType;

### enum GOLineInterpolation

    typedef enum {
    	GO_LINE_INTERPOLATION_LINEAR,
    	GO_LINE_INTERPOLATION_SPLINE,
    	GO_LINE_INTERPOLATION_STEP_START,
    	GO_LINE_INTERPOLATION_STEP_END,
    	GO_LINE_INTERPOLATION_STEP_CENTER_X,
    	GO_LINE_INTERPOLATION_STEP_CENTER_Y,
    	GO_LINE_INTERPOLATION_MAX
    } GOLineInterpolation;

### go_line_dash_from_str ()

    GOLineDashType      go_line_dash_from_str               (char const *name);

`name` : |
Returns : |

### go_line_dash_as_str ()

    charconst 	*        go_line_dash_as_str                 (GOLineDashType type);

`type` : |
Returns : |

### go_line_dash_as_label ()

    charconst 	*        go_line_dash_as_label               (GOLineDashType type);

`type` : |
Returns : |

### go_line_interpolation_from_str ()

    GOLineInterpolation go_line_interpolation_from_str      (char const *name);

`name` : |
Returns : |

### go_line_interpolation_as_str ()

    charconst 		*       go_line_interpolation_as_str        (GOLineInterpolation type);

`type` : |
Returns : |

### go_line_vpath_dash_free ()

    void                go_line_vpath_dash_free             (ArtVpathDash *dash);

`dash` : |

### go_line_get_vpath_dash ()

    ArtVpathDash*       go_line_get_vpath_dash              (GOLineDashType type,
                                                             double scale);

`type` : |
`scale` : |
Returns : |

### go_line_clip_vpath ()

    ArtVpath*           go_line_clip_vpath                  (ArtVpath const *path,
                                                             GogViewAllocation const *bbox);

`path` : |
`bbox` : |
Returns : |

### go_line_dash_vpath ()

    ArtVpath*           go_line_dash_vpath                  (ArtVpath const *path,
                                                             ArtVpathDash const *dash,
                                                             GogViewAllocation const *bbox);

`path` : |
`dash` : |
`bbox` : |
Returns : |

### go_line_build_bpath ()

    ArtBpath*           go_line_build_bpath                 (double const *x,
                                                             double const *y,
                                                             int n);

`x` : |
`y` : |
`n` : |
Returns : |

### go_line_build_vpath ()

    ArtVpath*           go_line_build_vpath                 (double const *x,
                                                             double const *y,
                                                             int n);

`x` : |
`y` : |
`n` : |
Returns : |